# studio::StatePolygon Class Reference

`#include <state_polygon.h>`

List of all members.

## Public Member Functions

| StatePolygon ()
| ~StatePolygon ()

## Constructor & Destructor Documentation

StatePolygon::StatePolygon | ( |  | ) |

References studio::EVENT_LAYER_SELECTION_CHANGED, studio::EVENT_REFRESH, studio::EVENT_REFRESH_DUCKS, studio::EVENT_REFRESH_TOOL_OPTIONS, studio::EVENT_STOP, and studio::EVENT_WORKAREA_MOUSE_BUTTON_DOWN.

StatePolygon::~StatePolygon | ( |  | ) |

The documentation for this class was generated from the following files:

- state_polygon.h
- state_polygon.cpp